# -*- coding: utf-8 -*-
"""
Created on Sat May  7 12:38:24 2016

@author: Loann Brahimi
"""

from pylab import*

#Initialisation des paramètres
sig = 5.67e-8
T = 5500
c = 3e8
s = 3e12
m = 1000
M_star = 2e30
G = 6.67e-11


def F_r(r) : 
    return (sig*T**4*s**2)/(3*pi*r**2*c)

def F_g(r) : 
    return -G*(m*M_star)/r**2



R = linspace(1.5e11,9e11,50)
Fr = zeros(len(R))
Fg = zeros(len(R))
for i in range(len(R)) : 
    Fr[i] = F_r(R[i])
    Fg[i] = F_g(R[i])
plot(R,Fr,"-o", label="Radiation")
plot(R,Fg,"-o", label="Gravitation")
plot(R,Fr+Fg,"-o", label="Somme")
plot(R,zeros(len(R)))
xlabel("Distance parcourue (en m)")
ylabel("Force exercée (en N)")
legend()
show()