# -*- coding: utf-8 -*-
"""
Created on Sat May  7 13:59:41 2016

@author: Loann Brahimi
"""

from pylab import*

sig = 5.67e-8
Temp = 5500
c = 3e8
s = 3e12
m = 1000
M_star = 2e30
G = 6.67e-11
r_0 = 1.5e11 #Distance de départ (Terre-Soleil)
v_0 = 0
dt = 86400*365.25*10
T = 86400*365.25*4000
r_1 = r_0 + v_0*dt

C_1 = sig*Temp**4*s**2/(3*pi*c*m)
C_2 = -G*M_star

V = zeros(int(T/dt))
R = zeros(int(T/dt))
R[0]=r_0
R[1]=r_1
t = zeros(int(T/dt))
V[0] = 0
t[0] = 0
t[1] = dt
i = 2

while i < int(T/dt) : 
    R[i] = (dt/R[i-1])**2*(C_1+C_2)+2*R[i-1]-R[i-2]
    V[i-1] = (R[i]-R[i-2])/(2*dt)
    t[i] = t[i-1]+dt
    i = i+1
V[int(T/dt)-1] = V[int(T/dt)-2]

plot(t/(365.25*86400),R/9.46e15,"-",label="Position du vaisseau")
plot(t/(365.25*86400),4.37*ones(len(t)),label="Alpha du Centaure")
#plot(t,V)
xlabel("Temps de voyage (en Année)")
ylabel("Distance au Soleil (en Années lumière)")
legend()
show()
